summaryrefslogtreecommitdiffstats
path: root/debian/tests/test-root
diff options
context:
space:
mode:
Diffstat (limited to 'debian/tests/test-root')
-rw-r--r--debian/tests/test-root22
1 files changed, 22 insertions, 0 deletions
diff --git a/debian/tests/test-root b/debian/tests/test-root
new file mode 100644
index 0000000..b564706
--- /dev/null
+++ b/debian/tests/test-root
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+set -e
+
+if [ "$(id -u)" != '0' ]; then
+ # Fail, we declared needing root as a restriction.
+ exit 1
+fi
+
+srcdir="$(pwd)"
+
+cd $AUTOPKGTEST_TMP
+"$srcdir/configure" \
+ --disable-nls \
+ --disable-dselect \
+ --prefix=/usr \
+ --sbindir=/sbin \
+ --libexecdir='${exec_prefix}/lib' \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ # EOL
+make installcheck TESTSUITEFLAGS=--verbose